Package org.eclipse.m2m.atl.adt.ui.startup

# Class ResourceChangeListener

java.lang.Object
org.eclipse.m2m.atl.adt.ui.startup.ResourceChangeListener

All Implemented Interfaces:
  `EventListener`, `org.eclipse.core.resources.IResourceChangeListener`

public class ResourceChangeListener extends Object implements org.eclipse.core.resources.IResourceChangeListener
The ATL resource change listener.

## Field Summary

### Fields inherited from interface org.eclipse.core.resources.IResourceChangeListener

`PROPERTY_EVENT_MASK`

## Constructor Summary

Constructors
Constructor
Description
`ResourceChangeListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceChangeListener

public ResourceChangeListener()

## Method Details

### resourceChanged

public void resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`
See Also:
  - `IResourceChangeListener.resourceChanged(org.eclipse.core.resources.IResourceChangeEvent)`